<template>
  <div class="ui-token-widget-price">
    <ui-icon-slr-logo
      class="uikit-mr-8"
      :width="32"
      :height="32"
    />
    <div class="uikit-flex uikit-flex-col justify-center">
      <div class="uikit-text-12 uikit-text-white uikit-text-opacity-50 uikit-leading-none uikit-mb-4">SLR token</div>
      <ui-text-placeholder
        class="uikit-text-white uikit-text-ui-page-label uikit-font-title uikit-leading-none"
        :text-length="6"
        :text="proceStr"
      />
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent, computed } from 'vue'
import { UiTextPlaceholder } from '../UiTextPlaceholder'
import { UiIconSlrLogo } from '../UiIcon'

export default defineComponent({
  props: {
    price: {
      type: Number,
    },
  },
  setup(props) {
    const proceStr = computed(() => {
      const { price } = props

      if (!price) {
        return undefined
      }

      return price.toLocaleString()
    })

    return { proceStr }
  },
  components: {
    UiIconSlrLogo,
    UiTextPlaceholder,
  }
})
</script>

<style>
.ui-token-widget-price {
  @apply uikit-flex uikit-items-center;
}
</style>